Qt 5.13 | Qt Sensors | QML Types | Accelerometer QML Type

Qt 5.13.2 Reference Documentation

# Accelerometer QML Type

The Accelerometer element reports on linear acceleration along the X, Y and Z axes. More...

Import Statement: | import QtSensors 5.11
Since: | QtSensors 5.0
Inherits: | Sensor

- List of all members, including inherited members

## Properties

- accelerationMode : AccelerationMode

## Detailed Description

The Accelerometer element reports on linear acceleration along the X, Y and Z axes.

This element wraps the QAccelerometer class. Please see the documentation for QAccelerometer for details.

See also AccelerometerReading.

## Property Documentation

accelerationMode : AccelerationMode

This property holds the current acceleration mode.

Please see QAccelerometer::accelerationMode for information about this property.

This property was introduced in QtSensors 5.1.